Beta Feedback



  • Here's a place where you can share any feedback on the Beta and how it works (or doesn't work) for you. Looking forward to your comments :)



  • Unable to install Datmo with
    curl https://s3-us-west-1.amazonaws.com/datmo-public-scripts/install_datmo_cli-0.0.5.sh
    -o install_datmo_cli-0.0.5.sh && sudo bash install_datmo_cli-0.0.5.sh ubuntu

    System and dependency version below

    vagrant@vagrant-ubuntu-trusty-64:/tmp/pip_build_vagrant$ lsb_release -a
    No LSB modules are available.
    Distributor ID: Ubuntu
    Description: Ubuntu 14.04.5 LTS
    Release: 14.04
    Codename: trusty
    vagrant@vagrant-ubuntu-trusty-64:/tmp/pip_build_vagrant$ docker --version
    Docker version 17.06.0-ce, build 02c1d87
    vagrant@vagrant-ubuntu-trusty-64:/tmp/pip_build_vagrant$ python --version
    Python 2.7.6
    vagrant@vagrant-ubuntu-trusty-64:/tmp/pip_build_vagrant$ pip --version
    pip 1.5.4 from /usr/lib/python2.7/dist-packages (python 2.7)

    Error Trace
    Exception:
    ***Traceback (most recent call last):
    File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
    File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 278, in run
    requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
    File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1091, in prepare_files
    req_to_install.check_if_exists()
    File "/usr/lib/python2.7/dist-packages/pip/req.py", line 811, in check_if_exists
    self.satisfied_by = pkg_resources.get_distribution(self.req)
    File "build/bdist.linux-x86_64/egg/pkg_resources/init.py", line 553, in get_distribution
    dist = get_provider(dist)
    File "build/bdist.linux-x86_64/egg/pkg_resources/init.py", line 427, in get_provider
    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]
    IndexError: list index out of range

    Storing debug log for failure in /home/vagrant/.pip/pip.log***



  • Hi @soma , looks like you might have been trying a later version which isn't fully tested yet. try the following command and let me know if that works. We'll be releasing 0.0.5 in 1-2 weeks.

    curl https://s3-us-west-1.amazonaws.com/datmo-public-scripts/install_datmo_cli-0.0.4.sh 
    -o install_datmo_cli-0.0.4.sh && sudo bash install_datmo_cli-0.0.4.sh ubuntu
    


  • Sorry, the issue still persists.

    vagrant@vagrant-ubuntu-trusty-64:~$ curl https://s3-us-west-1.amazonaws.com/datmo-public-scripts/install_datmo_cli-0.0.4.sh -o install_datmo_cli-0.0.4.sh &&
    sudo bash install_datmo_cli-0.0.4.sh ubuntu

    ...
    ...
    **Exception:
    Traceback (most recent call last):
    File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
    File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 278, in run
    requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
    File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1091, in prepare_files
    req_to_install.check_if_exists()
    File "/usr/lib/python2.7/dist-packages/pip/req.py", line 811, in check_if_exists
    self.satisfied_by = pkg_resources.get_distribution(self.req)
    File "build/bdist.linux-x86_64/egg/pkg_resources/init.py", line 553, in get_distribution
    dist = get_provider(dist)
    File "build/bdist.linux-x86_64/egg/pkg_resources/init.py", line 427, in get_provider
    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]
    IndexError: list index out of range

    Storing debug log for failure in /home/vagrant/.pip/pip.log**



  • Installed after upgrading pip with sudo pip install -U pip, will check the installation and let you know if any other issues occur.

    Thanks.



  • Awesome! Yep the pip version was likely the issue. Out of curiosity what is your pip version @soma?



  • I have created a datmo model by copying the py and other files from numerai model and hostes as a public repo in https://github.com/soma28208d51/predictive-model-datmo
    > datmo init runs without any issues and creates the json and the datmo folder. When I try to sync it though, facing the below error

    osboxes@osboxes:~/datmo-test/predictive-model-datmo$ datmo sync
    Syncing remote model meta-information with local...
    Syncing additional remote model information with local...
    Syncing model session info...
    Syncing model snapshot info...
    Syncing model task info...
    Pushing local code to remote code repository...
    Trying Github function again after failed attempt...
    4 retries left



  • Hi @soma , Can you push your current code to master branch before sync? It syncs, the git revs and pushes it. Else, it's possible if you don't have access to git repo but I don't think that's the issue in your case.


Log in to reply
 

Looks like your connection to Datmo was lost, please wait while we try to reconnect.